void setup()
{
  
  gFont1 = createFont("Arial", 11, false);
  gFont2 = createFont("Arial", 24, false);
  gFont3 = createFont("Arial", 15, false);
  
countByMonthAbortion = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthAbortion[i][j] = new Integer(0);
AvgDurationByMonthAbortion = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthAbortion[i][j] = new Float(0);
countByMonthEnvironment = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthEnvironment[i][j] = new Integer(0);
AvgDurationByMonthEnvironment = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthEnvironment[i][j] = new Float(0);
countByMonthGun = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthGun[i][j] = new Integer(0);
AvgDurationByMonthGun = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthGun[i][j] = new Float(0);
countByMonthHealthcare = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthHealthcare[i][j] = new Integer(0);
AvgDurationByMonthHealthcare = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthHealthcare[i][j] = new Float(0);
countByMonthImmigration = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthImmigration[i][j] = new Integer(0);
AvgDurationByMonthImmigration = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthImmigration[i][j] = new Float(0);
countByMonthTaxes = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthTaxes[i][j] = new Integer(0);
AvgDurationByMonthTaxes = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthTaxes[i][j] = new Float(0);
countByMonthTerrorism = new Integer[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) countByMonthTerrorism[i][j] = new Integer(0);
AvgDurationByMonthTerrorism = new Float[8][12]; for(int i=0; i<8; i++) for(int j=0; j<12; j++) AvgDurationByMonthTerrorism[i][j] = new Float(0);

 Integer[][][] pDataMatricesCount = {
    countByMonthAbortion,
    countByMonthEnvironment,
    countByMonthGun,
    countByMonthHealthcare,
    countByMonthImmigration,
    countByMonthTaxes,
    countByMonthTerrorism
  };
  gpDataMatricesCount = pDataMatricesCount;
  
   Float[][][] pDataMatricesAvgDuration = {
    AvgDurationByMonthAbortion,
    AvgDurationByMonthEnvironment,
    AvgDurationByMonthGun,
    AvgDurationByMonthHealthcare,
    AvgDurationByMonthImmigration,
    AvgDurationByMonthTaxes,
    AvgDurationByMonthTerrorism
  };
  gpDataMatricesAvgDuration = pDataMatricesAvgDuration;
  
  size(1024, 768);
  background(255);
  frameRate(60);
  smooth();
 
  // Establish Connection
  mysql = new MySQL(this, host, db, user, pw);
  resultsArray = new ArrayList();
    for (int i=0; i<sqlterms.length; i++ )  
    {
     if (mysql.connect() )
     {
       int count = 0;
       String strQuery = SqlString + sqlterms[i] + SqlString2;
//        String strQuery = "SELECT * FROM activity a";
       println(strQuery);
       mysql.query(strQuery);
       while (mysql.next())
       {
         Integer iYear = Integer.parseInt(mysql.getString(1));
         Integer iMonth = Integer.parseInt(mysql.getString(2));
         Integer iCount = Integer.parseInt(mysql.getString(3));
         Float iDuration = Float.parseFloat(mysql.getString(4));
         println(iYear + ", " + iMonth + ", " + iCount + ", " + iDuration);
         gpDataMatricesCount[i][iYear-2006][iMonth-1] = iCount;
         gpDataMatricesAvgDuration[i][iYear-2006][iMonth-1] = iDuration;
         
       // store maximum val to normalize
      if( gpMaxCount < iCount ) gpMaxCount = iCount;
      if( gpMaxDuration < iDuration ) gpMaxDuration = iDuration;

       }
     }
     else
     {
        println("Could not connect to database"); 
     }
    }
}

int GetTotal(int y, int m)
{
  int total = 0;
  for (int i = 0; i < IssueCount; i++)
  {
      total += gpDataMatricesCount[i][y][m];
  }
  println("m/y = " + m + "/" + y + " Total = " + total);
  return total;
}

/*       
       ckOut = new CheckOut(mysql.getInt(1), mysql.getString(2)));
       for (int y = 2005; y++; y < 2013)
       {
         for (int m = 1; m++; m <= 12)
         {
            if ((ckOut.ckOutDate.tMonth == m) && (ckOut.ckOutDate.tYear == y))
              countByMonth[y][m]++;
              AvgDurationByMonth += ckOut.Duration;
         }
       }
     }
     for (int  y = 2005; y++; y < 2013)
     {
       for (int m = 1; m++; m <= 12)
       {
          AvgDurationByMonth[y][m] = AvgDurationByMonth[y][m]/countByMonth[y][m];
       }
     }
     
     
  }
  
  
    for (int i=0; i<Filenames.length; i++ )  
    {
    
    // try to read local file
    println("reading "+Filenames[i]+"...");

     String [] textData = loadStrings(Filenames[i]);
    println("textdata length = " + textData.length);
    for( int j=1; j<textData.length; j++ )  
    {  
      String textSplit[] = split(textData[j], ",");
      CheckOut ckOut = new CheckOut(textSplit[0], textSplit[1]);
       for (int  y = 2005; y < 2013; y++ )
       {
         for (int m = 1; m <= 12; m++)
        {
          if ((ckOut.ckOutDate.tMonth == m) && (ckOut.ckOutDate.tYear == y))
          {
             println(i + ", " + y + ", " + m);
             gpDataMatricesCount[i][y-2005][m-1]++;
             gpDataMatricesAvgDuration[i][y-2005][m-1] += ckOut.Duration;
         }
       }
     }
     
    }
*/
      
//      int i = (int)Integer.parseInt(textSplitted[0]);
//      int o = (int)Integer.parseInt(textSplitted[1]);
 

